﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             x:Class="Notigram.View.SignUp"
             xmlns:ff="clr-namespace:FFImageLoading.Forms;assembly=FFImageLoading.Forms"
             xmlns:behavior="clr-namespace:Notigram.Control"
             xmlns:source="clr-namespace:Notigram.Constant"
             BackgroundColor="#295879">
    <ContentPage.Content>
        <Grid HorizontalOptions="FillAndExpand" VerticalOptions="StartAndExpand" Padding="15,100,15,0" Margin="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
            <ff:CachedImage Source="{source:Images Source=Notigram.Resource.notigram.png}" 
                            Grid.Row="0" WidthRequest="200" HeightRequest="50"/>
            <Entry Visual="Material" PlaceholderColor="White" TextColor="White"
                   FontFamily="sans-serif-black" Placeholder="Nombre"
                   Grid.Row="1" Margin="0,5,0,5"
                   x:Name="nombre" Keyboard="Text">
                <Entry.Behaviors>
                    <behavior:NameValidationBehavior/>
                </Entry.Behaviors>
            </Entry>
            <Entry Visual="Material" PlaceholderColor="White" TextColor="White"
                   FontFamily="sans-serif-black" Placeholder="Correo"
                   Grid.Row="2" Margin="0,5,0,5"
                   x:Name="usuario" Keyboard="Email">
                <Entry.Behaviors>
                    <behavior:EmailValidtionBehavior/>
                </Entry.Behaviors>
            </Entry>
            <Entry Visual="Material" PlaceholderColor="White" TextColor="White"
                   FontFamily="sans-serif-black" Placeholder="Contraseña"
                   Grid.Row="3" Margin="0,5,0,5" IsPassword="True"
                   x:Name="contraseña" Keyboard="Text">
                <Entry.Behaviors>
                    <behavior:PasswordValidationBehavior/>
                </Entry.Behaviors>
            </Entry>
            <Button Grid.Row="4" Margin="0,24,0,5" Text="Crear cuenta" Clicked="Button_Clicked"/>
            <Label Text="¿Ya tienes una cuenta? Login" Grid.Row="5" Margin="0,24,0,5" HorizontalTextAlignment="Center"
                   TextColor="White" FontFamily="sans-serif-black" FontSize="Medium" x:Name="login"/>
        </Grid>
    </ContentPage.Content>
</ContentPage>